%define zopeproductsdir  %{_libdir}/zope/lib/python/Products
%define zopeuser zope
%define productname SimpleUserFolder
%define productver  0.9.0

Name:               zope-%{productname}
Summary:            A Zope product: MySQL Database Adapter
Version:            %{productver} 
Release:            1ogger00
Group:              Applications/Internet 
Requires:           zope >= 2.7.0
License:            GPL
URL:                http://zope.org/Members/NIP/%{productname}
Source:             %{productname}-0-9-0.tar.gz
Vendor:             OGGER
Distribution:       Zope
Packager:           Ogger <ogger@ya.com>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Buildarch: 	    noarch

#----------------------------------------------------------------------
%description
This is a User Folder replacement that will let you customise the source
of users and roles for a particular folder or complete Zope instance.

It is easily scriptable, subclassable and fully documented and tested.

#----------------------------------------------------------------------
%prep
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%setup -n %{productname}

#----------------------------------------------------------------------
%build

#----------------------------------------------------------------------
%install

%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}
%{__cp} -pr * $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%files
%defattr(-,root,root,0755)
%doc changes.txt license.txt readme.txt version.txt
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/%{productname}
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/%{productname}/*

%postun
if [ $1 = 0 ]; then
   %{__rm} -rf %{zopeproductsdir}/%{productname}
fi

#----------------------------------------------------------------------
%changelog
* Mon Mar 25 2004 Ogger <ogger@ya.com> 0.9.0-1ogger00
- Initial release
